org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class RepeatStep.RepeatEndStep<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep<S,S>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.RepeatStep.RepeatEndStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<S>>, Step<S,S>, GraphComputing
  Enclosing class:
    RepeatStep<S>

      public static class RepeatStep.RepeatEndStep<S>
      extends ComputerAwareStep<S,S>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep

      `ComputerAwareStep.EndStep<S>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepeatEndStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<Traverser.Admin<S>>` | `computerAlgorithm()`
    `protected Iterator<Traverser.Admin<S>>` | `standardAlgorithm()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep

      `clone, onGraphComputer, processNextStart, reset`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.GraphComputing

      `atMaster, atMaster`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### RepeatEndStep

          public RepeatEndStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### standardAlgorithm

          protected Iterator<Traverser.Admin<S>> standardAlgorithm()
                                                            throws NoSuchElementException

      Specified by:
        `standardAlgorithm` in class `ComputerAwareStep<S,S>`
      Throws:
        `NoSuchElementException`

    - #### computerAlgorithm

          protected Iterator<Traverser.Admin<S>> computerAlgorithm()
                                                            throws NoSuchElementException

      Specified by:
        `computerAlgorithm` in class `ComputerAwareStep<S,S>`
      Throws:
        `NoSuchElementException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.